<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetResolvedTroubleConditionsCsvOutput StructType
 * @subpackage Structs
 */
class GetResolvedTroubleConditionsCsvOutput extends AbstractStructBase
{
    /**
     * The Success
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Success;
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrorMessage;
    /**
     * The CsvData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CsvData;
    /**
     * Constructor method for GetResolvedTroubleConditionsCsvOutput
     * @uses GetResolvedTroubleConditionsCsvOutput::setSuccess()
     * @uses GetResolvedTroubleConditionsCsvOutput::setErrorMessage()
     * @uses GetResolvedTroubleConditionsCsvOutput::setCsvData()
     * @param bool $success
     * @param string $errorMessage
     * @param string $csvData
     */
    public function __construct($success = null, $errorMessage = null, $csvData = null)
    {
        $this
            ->setSuccess($success)
            ->setErrorMessage($errorMessage)
            ->setCsvData($csvData);
    }
    /**
     * Get Success value
     * @return bool
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param bool $success
     * @return \CustomerManagement\StructType\GetResolvedTroubleConditionsCsvOutput
     */
    public function setSuccess($success = null)
    {
        // validation for constraint: boolean
        if (!is_null($success) && !is_bool($success)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($success, true), gettype($success)), __LINE__);
        }
        $this->Success = $success;
        return $this;
    }
    /**
     * Get ErrorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->ErrorMessage;
    }
    /**
     * Set ErrorMessage value
     * @param string $errorMessage
     * @return \CustomerManagement\StructType\GetResolvedTroubleConditionsCsvOutput
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        $this->ErrorMessage = $errorMessage;
        return $this;
    }
    /**
     * Get CsvData value
     * @return string|null
     */
    public function getCsvData()
    {
        return $this->CsvData;
    }
    /**
     * Set CsvData value
     * @param string $csvData
     * @return \CustomerManagement\StructType\GetResolvedTroubleConditionsCsvOutput
     */
    public function setCsvData($csvData = null)
    {
        // validation for constraint: string
        if (!is_null($csvData) && !is_string($csvData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($csvData, true), gettype($csvData)), __LINE__);
        }
        $this->CsvData = $csvData;
        return $this;
    }
}
